### Constructor

# PapersDocument LinkAction new_layers_state

#### Declaration [src]

    PpsLinkAction*
    pps_link_action_new_layers_state (
      GList* show_list,
      GList* hide_list,
      GList* toggle_list
    )

#### Description

No description available.

#### Parameters

`show_list`

  Type: A list of `PpsLayer*`

  A list of `PpsLayer` objects.

  The data is owned by the caller of the function.

`hide_list`

  Type: A list of `PpsLayer*`

  A list of `PpsLayer` objects.

  The data is owned by the caller of the function.

`toggle_list`

  Type: A list of `PpsLayer*`

  A list of `PpsLayer` objects.

  The data is owned by the caller of the function.

#### Return value

Type: `PpsLinkAction`

A new `PpsLinkAction`.

The caller of the function takes ownership of the data, and is responsible for freeing it.